Index: libs/spirit/test/match_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/match_tests.cpp,v
retrieving revision 1.10
diff -b -d -u -r1.10 match_tests.cpp
--- libs/spirit/test/match_tests.cpp	23 Feb 2005 11:42:00 -0000	1.10
+++ libs/spirit/test/match_tests.cpp	18 Feb 2006 22:55:13 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <string>
 
 using namespace std;
@@ -28,43 +28,43 @@
 match_tests()
 {
     match<> m0;
-    assert(!m0.has_valid_attribute());
+    BOOST_TEST(!m0.has_valid_attribute());
 
     match<int> m1(m0);
     m1.value(123);
-    assert(m1.has_valid_attribute());
-    assert(m1.value() == 123);
+    BOOST_TEST(m1.has_valid_attribute());
+    BOOST_TEST(m1.value() == 123);
 
     match<double> m2(m1);
-    assert(m2.has_valid_attribute());
-    assert(m1.value() == int(m2.value()));
+    BOOST_TEST(m2.has_valid_attribute());
+    BOOST_TEST(m1.value() == int(m2.value()));
     m2.value(456);
 
     m0 = m0; // match<nil> = match<nil>
     m0 = m1; // match<nil> = match<int>
     m0 = m2; // match<nil> = match<double>
     m1 = m0; // match<int> = match<nil>
-    assert(!m1);
-    assert(!m1.has_valid_attribute());
+    BOOST_TEST(!m1);
+    BOOST_TEST(!m1.has_valid_attribute());
 
     m1 = m1; // match<int> = match<int>
     m1.value(int(m2.value()));
-    assert(m1.has_valid_attribute());
-    assert(m1.value() == int(m2.value()));
+    BOOST_TEST(m1.has_valid_attribute());
+    BOOST_TEST(m1.value() == int(m2.value()));
 
     m2.value(123.456);
     match<Z> mz(m2); // copy from match<double>
     mz = m2; // assign from match<double>
-    assert(mz.value().n == 123.456);
+    BOOST_TEST(mz.value().n == 123.456);
 
     m1.value(123);
     m2 = m0;
-    assert(!m2);
-    assert(!m2.has_valid_attribute());
+    BOOST_TEST(!m2);
+    BOOST_TEST(!m2.has_valid_attribute());
 
     m2 = m1; // match<double> = match<int>
-    assert(m2.has_valid_attribute());
-    assert(m1.value() == int(m2.value()));
+    BOOST_TEST(m2.has_valid_attribute());
+    BOOST_TEST(m1.value() == int(m2.value()));
     m2 = m2; // match<double> = match<double>
 
     cout << "sizeof(int) == " << sizeof(int) << '\n';
@@ -73,64 +73,64 @@
     cout << "sizeof(match<double>) == " << sizeof(m2) << '\n';
 
     match<int&> mr;
-    assert(!mr.has_valid_attribute());
+    BOOST_TEST(!mr.has_valid_attribute());
 
     match<int&> mrr(4);
-    assert(!mrr.has_valid_attribute());
+    BOOST_TEST(!mrr.has_valid_attribute());
 
     int ri = 3;
     match<int&> mr2(4, ri);
-    assert(mr2.has_valid_attribute());
+    BOOST_TEST(mr2.has_valid_attribute());
     mr = mr2;
-    assert(mr.has_valid_attribute());
+    BOOST_TEST(mr.has_valid_attribute());
 
     match<int&> mr3(mrr);
-    assert(!mr3.has_valid_attribute());
+    BOOST_TEST(!mr3.has_valid_attribute());
     mr2 = mr3;
-    assert(!mr2.has_valid_attribute());
+    BOOST_TEST(!mr2.has_valid_attribute());
 
     match<X> mx;
     m1 = mx;
     m0 = mx;
-    assert(!mx.has_valid_attribute());
-    assert(!m0.has_valid_attribute());
-    assert(!m1.has_valid_attribute());
+    BOOST_TEST(!mx.has_valid_attribute());
+    BOOST_TEST(!m0.has_valid_attribute());
+    BOOST_TEST(!m1.has_valid_attribute());
 
     match<Y> my;
-    assert(!my.has_valid_attribute());
+    BOOST_TEST(!my.has_valid_attribute());
 
     match<std::string> ms;
-    assert(!ms.has_valid_attribute());
+    BOOST_TEST(!ms.has_valid_attribute());
     ms.value("Kimpo Ponchwayla");
-    assert(ms.has_valid_attribute());
-    assert(ms.value() == "Kimpo Ponchwayla");
+    BOOST_TEST(ms.has_valid_attribute());
+    BOOST_TEST(ms.value() == "Kimpo Ponchwayla");
     ms = match<>();
-    assert(!ms.has_valid_attribute());
+    BOOST_TEST(!ms.has_valid_attribute());
 
     // let's try a match with a reference:
     int i;
     match<int&> mr4(4, i);
-    assert(mr4.has_valid_attribute());
+    BOOST_TEST(mr4.has_valid_attribute());
     mr4.value(3);
-    assert(mr4.value() == 3);
-    assert(i == 3);
+    BOOST_TEST(mr4.value() == 3);
+    BOOST_TEST(i == 3);
     (void)i;
 
     int x = 456;
     match<int&> mref(1, x);
-    assert(mref.value() == 456);
+    BOOST_TEST(mref.value() == 456);
     mref.value(123);
-    assert(mref.value() == 123);
+    BOOST_TEST(mref.value() == 123);
     x = mref.value();
-    assert(x == 123);
+    BOOST_TEST(x == 123);
     mref.value() = 986;
-    assert(x == 986);
+    BOOST_TEST(x == 986);
     
     std::string s("hello");
     match<int> mint(1, x);
-    assert(mint.value() == x);
+    BOOST_TEST(mint.value() == x);
     match<std::string> mstr(1, s);
-    assert(mstr.value() == "hello");
+    BOOST_TEST(mstr.value() == "hello");
     mstr = mint;
     mint = mstr;
 }
@@ -148,16 +148,16 @@
     match<double>   m2;
     match_policy    mp;
 
-    m0 = mp.no_match();     assert(!m0);
-    m1 = mp.no_match();     assert(!m1);
-    m0 = mp.empty_match();  assert(!!m0);
-    m2 = mp.empty_match();  assert(!!m2);
+    m0 = mp.no_match();     BOOST_TEST(!m0);
+    m1 = mp.no_match();     BOOST_TEST(!m1);
+    m0 = mp.empty_match();  BOOST_TEST(!!m0);
+    m2 = mp.empty_match();  BOOST_TEST(!!m2);
 
     m1 = mp.create_match(5, 100, 0, 0);
     m2 = mp.create_match(5, 10.5, 0, 0);
 
     mp.concat_match(m1, m2);
-    assert(m1.length() == 10);
+    BOOST_TEST(m1.length() == 10);
 }
 
 ///////////////////////////////////////////////////////////////////////////////
@@ -170,7 +170,6 @@
 {
     match_tests();
     match_policy_tests();
-    cout << "Tests concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/multi_pass_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/multi_pass_tests.cpp,v
retrieving revision 1.9
diff -b -d -u -r1.9 multi_pass_tests.cpp
--- libs/spirit/test/multi_pass_tests.cpp	9 Jul 2004 08:30:38 -0000	1.9
+++ libs/spirit/test/multi_pass_tests.cpp	18 Feb 2006 22:55:13 -0000
@@ -10,7 +10,7 @@
 #include <boost/scoped_ptr.hpp>
 #include <iterator>
 #include <string>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include "impl/sstream.hpp"
 
 using namespace std;
@@ -170,49 +170,49 @@
         boost::scoped_ptr<default_multi_pass_t> mp1(new default_multi_pass_t(a));
         boost::scoped_ptr<default_multi_pass_t> mp2(new default_multi_pass_t(*mp1));
 
-        assert(*mp1 == *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp1 <= *mp2);
+        BOOST_TEST(*mp1 == *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp1 <= *mp2);
         for (int i = 0; i < 4; ++i)
         {
             res << **mp1;
             ++*mp1;
         }
 
-        assert(*mp1 != *mp2);
-        assert(*mp1 > *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp2 < *mp1);
-        assert(*mp2 <= *mp1);
+        BOOST_TEST(*mp1 != *mp2);
+        BOOST_TEST(*mp1 > *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp2 < *mp1);
+        BOOST_TEST(*mp2 <= *mp1);
         while (*mp2 != *mp1)
         {
             res << **mp2;
             ++*mp2;
         }
 
-        assert(*mp1 == *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp1 <= *mp2);
+        BOOST_TEST(*mp1 == *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp1 <= *mp2);
         while (*mp1 != *mpend)
         {
             res << **mp1;
             ++*mp1;
         }
 
-        assert(*mp1 != *mp2);
-        assert(*mp1 > *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp2 < *mp1);
-        assert(*mp2 <= *mp1);
+        BOOST_TEST(*mp1 != *mp2);
+        BOOST_TEST(*mp1 > *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp2 < *mp1);
+        BOOST_TEST(*mp2 <= *mp1);
         while (*mp2 != *mpend)
         {
             res << **mp2;
             ++*mp2;
         }
 
-        assert(*mp1 == *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp1 <= *mp2);
+        BOOST_TEST(*mp1 == *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp1 <= *mp2);
         res << endl;
     }
 
@@ -222,9 +222,9 @@
         istream_iterator<char> a(ss);
         boost::scoped_ptr<default_multi_pass_t> mp1(new default_multi_pass_t(a));
         boost::scoped_ptr<default_multi_pass_t> mp2(new default_multi_pass_t(a));
-        assert(*mp1 != *mp2);
+        BOOST_TEST(*mp1 != *mp2);
         ++*mp1;
-        assert(*mp1 != *mp2);
+        BOOST_TEST(*mp1 != *mp2);
 
     }
 
@@ -253,7 +253,7 @@
         try
         {
             res << **mp3; // this should throw illegal_backtracking
-            assert(0);
+            BOOST_TEST(0);
         }
         catch (const boost::spirit::multi_pass_policies::illegal_backtracking& /*e*/)
         {
@@ -369,49 +369,49 @@
         boost::scoped_ptr<fixed_multi_pass_t> mp1(new fixed_multi_pass_t(a));
         boost::scoped_ptr<fixed_multi_pass_t> mp2(new fixed_multi_pass_t(*mp1));
 
-        assert(*mp1 == *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp1 <= *mp2);
+        BOOST_TEST(*mp1 == *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp1 <= *mp2);
         for (int i = 0; i < 4; ++i)
         {
             res << **mp1;
             ++*mp1;
         }
 
-        assert(*mp1 != *mp2);
-        assert(*mp1 > *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp2 < *mp1);
-        assert(*mp2 <= *mp1);
+        BOOST_TEST(*mp1 != *mp2);
+        BOOST_TEST(*mp1 > *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp2 < *mp1);
+        BOOST_TEST(*mp2 <= *mp1);
         while (*mp2 != *mp1)
         {
             res << **mp2;
             ++*mp2;
         }
 
-        assert(*mp1 == *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp1 <= *mp2);
+        BOOST_TEST(*mp1 == *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp1 <= *mp2);
         while (*mp1 != *mpend)
         {
             res << **mp1;
             ++*mp1;
         }
 
-        assert(*mp1 != *mp2);
-        assert(*mp1 > *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp2 < *mp1);
-        assert(*mp2 <= *mp1);
+        BOOST_TEST(*mp1 != *mp2);
+        BOOST_TEST(*mp1 > *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp2 < *mp1);
+        BOOST_TEST(*mp2 <= *mp1);
         while (*mp2 != *mpend)
         {
             res << **mp2;
             ++*mp2;
         }
 
-        assert(*mp1 == *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp1 <= *mp2);
+        BOOST_TEST(*mp1 == *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp1 <= *mp2);
         res << endl;
     }
 
@@ -421,9 +421,9 @@
         istream_iterator<char> a(ss);
         boost::scoped_ptr<fixed_multi_pass_t> mp1(new fixed_multi_pass_t(a));
         boost::scoped_ptr<fixed_multi_pass_t> mp2(new fixed_multi_pass_t(a));
-        assert(*mp1 != *mp2);
+        BOOST_TEST(*mp1 != *mp2);
         ++*mp1;
-        assert(*mp1 != *mp2);
+        BOOST_TEST(*mp1 != *mp2);
 
     }
 
@@ -534,49 +534,49 @@
         boost::scoped_ptr<first_owner_multi_pass_t> mp1(new first_owner_multi_pass_t(a));
         boost::scoped_ptr<first_owner_multi_pass_t> mp2(new first_owner_multi_pass_t(*mp1));
 
-        assert(*mp1 == *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp1 <= *mp2);
+        BOOST_TEST(*mp1 == *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp1 <= *mp2);
         for (int i = 0; i < 4; ++i)
         {
             res << **mp1;
             ++*mp1;
         }
 
-        assert(*mp1 != *mp2);
-        assert(*mp1 > *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp2 < *mp1);
-        assert(*mp2 <= *mp1);
+        BOOST_TEST(*mp1 != *mp2);
+        BOOST_TEST(*mp1 > *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp2 < *mp1);
+        BOOST_TEST(*mp2 <= *mp1);
         while (*mp2 != *mp1)
         {
             res << **mp2;
             ++*mp2;
         }
 
-        assert(*mp1 == *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp1 <= *mp2);
+        BOOST_TEST(*mp1 == *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp1 <= *mp2);
         while (*mp1 != *mpend)
         {
             res << **mp1;
             ++*mp1;
         }
 
-        assert(*mp1 != *mp2);
-        assert(*mp1 > *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp2 < *mp1);
-        assert(*mp2 <= *mp1);
+        BOOST_TEST(*mp1 != *mp2);
+        BOOST_TEST(*mp1 > *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp2 < *mp1);
+        BOOST_TEST(*mp2 <= *mp1);
         while (*mp2 != *mpend)
         {
             res << **mp2;
             ++*mp2;
         }
 
-        assert(*mp1 == *mp2);
-        assert(*mp1 >= *mp2);
-        assert(*mp1 <= *mp2);
+        BOOST_TEST(*mp1 == *mp2);
+        BOOST_TEST(*mp1 >= *mp2);
+        BOOST_TEST(*mp1 <= *mp2);
         res << endl;
     }
 
@@ -586,9 +586,9 @@
         istream_iterator<char> a(ss);
         boost::scoped_ptr<first_owner_multi_pass_t> mp1(new first_owner_multi_pass_t(a));
         boost::scoped_ptr<first_owner_multi_pass_t> mp2(new first_owner_multi_pass_t(a));
-        assert(*mp1 != *mp2);
+        BOOST_TEST(*mp1 != *mp2);
         ++*mp1;
-        assert(*mp1 != *mp2);
+        BOOST_TEST(*mp1 != *mp2);
 
     }
 
@@ -616,7 +616,7 @@
         try
         {
             res << **mp3; // this should throw illegal_backtracking
-            assert(0);
+            BOOST_TEST(0);
         }
         catch (const boost::spirit::multi_pass_policies::illegal_backtracking& /*e*/)
         {
@@ -672,58 +672,58 @@
         functor_multi_pass_t mp1 = functor_multi_pass_t(my_functor());
         functor_multi_pass_t mp2 = functor_multi_pass_t(mp1);
 
-        assert(mp1 == mp2);
-        assert(mp1 >= mp2);
-        assert(mp1 <= mp2);
+        BOOST_TEST(mp1 == mp2);
+        BOOST_TEST(mp1 >= mp2);
+        BOOST_TEST(mp1 <= mp2);
         for (int i = 0; i < 4; ++i)
         {
             res << *mp1;
             ++mp1;
         }
 
-        assert(mp1 != mp2);
-        assert(mp1 > mp2);
-        assert(mp1 >= mp2);
-        assert(mp2 < mp1);
-        assert(mp2 <= mp1);
+        BOOST_TEST(mp1 != mp2);
+        BOOST_TEST(mp1 > mp2);
+        BOOST_TEST(mp1 >= mp2);
+        BOOST_TEST(mp2 < mp1);
+        BOOST_TEST(mp2 <= mp1);
         while (mp2 != mp1)
         {
             res << *mp2;
             ++mp2;
         }
 
-        assert(mp1 == mp2);
-        assert(mp1 >= mp2);
-        assert(mp1 <= mp2);
+        BOOST_TEST(mp1 == mp2);
+        BOOST_TEST(mp1 >= mp2);
+        BOOST_TEST(mp1 <= mp2);
         while (mp1 != mpend)
         {
             res << *mp1;
             ++mp1;
         }
 
-        assert(mp1 != mp2);
-        assert(mp1 > mp2);
-        assert(mp1 >= mp2);
-        assert(mp2 < mp1);
-        assert(mp2 <= mp1);
+        BOOST_TEST(mp1 != mp2);
+        BOOST_TEST(mp1 > mp2);
+        BOOST_TEST(mp1 >= mp2);
+        BOOST_TEST(mp2 < mp1);
+        BOOST_TEST(mp2 <= mp1);
         while (mp2 != mpend)
         {
             res << *mp2;
             ++mp2;
         }
 
-        assert(mp1 == mp2);
-        assert(mp1 >= mp2);
-        assert(mp1 <= mp2);
+        BOOST_TEST(mp1 == mp2);
+        BOOST_TEST(mp1 >= mp2);
+        BOOST_TEST(mp1 <= mp2);
         res << endl;
     }
 
     {
         functor_multi_pass_t mp1 = functor_multi_pass_t(my_functor());
         functor_multi_pass_t mp2 = functor_multi_pass_t(my_functor());
-        assert(mp1 != mp2);
+        BOOST_TEST(mp1 != mp2);
         ++mp1;
-        assert(mp1 != mp2);
+        BOOST_TEST(mp1 != mp2);
 
     }
 }
@@ -736,7 +736,7 @@
     test_first_owner_multi_pass();
     test_functor_multi_pass();
 
-    assert(getstring(res) == "-*= test_default_multi_pass =*-\n"
+    BOOST_TEST(getstring(res) == "-*= test_default_multi_pass =*-\n"
             "teststring\n"
             "teststring\n"
             "testteststringstring\n"
@@ -761,5 +761,5 @@
             "ABCDABCDEFGHIJKLEFGHIJKL\n"
             "ABCDABCDEFGHIJKLEFGHIJKL\n");
 
-    cout << "Test completed succesfully!" << endl;
+    return boost::report_errors();
 }
Index: libs/spirit/test/numerics_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/numerics_tests.cpp,v
retrieving revision 1.11
diff -b -d -u -r1.11 numerics_tests.cpp
--- libs/spirit/test/numerics_tests.cpp	3 Jul 2005 15:39:31 -0000	1.11
+++ libs/spirit/test/numerics_tests.cpp	18 Feb 2006 22:55:14 -0000
@@ -10,7 +10,7 @@
 #include <boost/spirit/core.hpp>
 #include <boost/spirit/actor/assign_actor.hpp>
 #include <iostream>
-#include <assert.h>
+#include <boost/detail/lightweight_test.hpp>
 
 using namespace std;
 using namespace boost::spirit;
@@ -132,76 +132,76 @@
 //  unsigned integer
 
     parse("123456", uint_p[assign_a(u)]);
-    assert(u == 123456);
+    BOOST_TEST(u == 123456);
 
     parse(max_unsigned, uint_p[assign_a(u)]);
-    assert(u == UINT_MAX);
+    BOOST_TEST(u == UINT_MAX);
 
-    assert(!parse(unsigned_overflow, uint_p).full);
+    BOOST_TEST(!parse(unsigned_overflow, uint_p).full);
 
 //  signed integer
 
     int i;
 
     parse("123456", int_p[assign_a(i)]);
-    assert(i == 123456);
+    BOOST_TEST(i == 123456);
 
     parse("-123456", int_p[assign_a(i)]);
-    assert(i == -123456);
+    BOOST_TEST(i == -123456);
 
     parse(max_int, int_p[assign_a(i)]);
-    assert(i == INT_MAX);
+    BOOST_TEST(i == INT_MAX);
 
     parse(min_int, int_p[assign_a(i)]);
-    assert(i == INT_MIN);
+    BOOST_TEST(i == INT_MIN);
 
-    assert(!parse(int_overflow, int_p).full);
-    assert(!parse(int_underflow, int_p).full);
+    BOOST_TEST(!parse(int_overflow, int_p).full);
+    BOOST_TEST(!parse(int_underflow, int_p).full);
 
-    assert(!parse("-", int_p).hit);
+    BOOST_TEST(!parse("-", int_p).hit);
 
 //  binary
 
     parse("11111110", bin_p[assign_a(u)]);
-    assert(u == 0xFE);
+    BOOST_TEST(u == 0xFE);
 
     parse(max_binary, bin_p[assign_a(u)]);
-    assert(u == UINT_MAX);
+    BOOST_TEST(u == UINT_MAX);
 
-    assert(!parse(binary_overflow, bin_p).full);
+    BOOST_TEST(!parse(binary_overflow, bin_p).full);
 
 //  octal
 
     parse("12545674515", oct_p[assign_a(u)]);
-    assert(u == 012545674515);
+    BOOST_TEST(u == 012545674515);
 
     parse(max_octal, oct_p[assign_a(u)]);
-    assert(u == UINT_MAX);
+    BOOST_TEST(u == UINT_MAX);
 
-    assert(!parse(octal_overflow, oct_p).full);
+    BOOST_TEST(!parse(octal_overflow, oct_p).full);
 
 //  hex
 
     parse("95BC8DF", hex_p[assign_a(u)]);
-    assert(u == 0x95BC8DF);
+    BOOST_TEST(u == 0x95BC8DF);
 
     parse("abcdef12", hex_p[assign_a(u)]);
-    assert(u == 0xabcdef12);
+    BOOST_TEST(u == 0xabcdef12);
 
     parse(max_hex, hex_p[assign_a(u)]);
-    assert(u == UINT_MAX);
+    BOOST_TEST(u == UINT_MAX);
 
-    assert(!parse(hex_overflow, hex_p).full);
+    BOOST_TEST(!parse(hex_overflow, hex_p).full);
 
 //  limited fieldwidth
 
     uint_parser<unsigned, 10, 1, 3> uint3_p;
     parse("123456", uint3_p[assign_a(u)]);
-    assert(u == 123);
+    BOOST_TEST(u == 123);
 
     uint_parser<unsigned, 10, 1, 4> uint4_p;
     parse("123456", uint4_p[assign_a(u)]);
-    assert(u == 1234);
+    BOOST_TEST(u == 1234);
 
     uint_parser<unsigned, 10, 3, 3> uint3_3_p;
 
@@ -209,12 +209,12 @@
 
 #define r (uint3_p >> *(',' >> uint3_3_p))
 
-    assert(parse("1,234,567,890", r).full);     //  OK
-    assert(parse("12,345,678,900", r).full);    //  OK
-    assert(parse("123,456,789,000", r).full);   //  OK
-    assert(!parse("1000,234,567,890", r).full); //  Bad
-    assert(!parse("1,234,56,890", r).full);     //  Bad
-    assert(!parse("1,66", r).full);             //  Bad
+    BOOST_TEST(parse("1,234,567,890", r).full);     //  OK
+    BOOST_TEST(parse("12,345,678,900", r).full);    //  OK
+    BOOST_TEST(parse("123,456,789,000", r).full);   //  OK
+    BOOST_TEST(!parse("1000,234,567,890", r).full); //  Bad
+    BOOST_TEST(!parse("1,234,56,890", r).full);     //  Bad
+    BOOST_TEST(!parse("1,66", r).full);             //  Bad
 
 //  long long
 
@@ -234,27 +234,27 @@
     int_parser< ::boost::long_long_type> long_long_p;
 
     parse("1234567890123456789", long_long_p[assign_a(ll)]);
-    assert(ll == 1234567890123456789LL);
+    BOOST_TEST(ll == 1234567890123456789LL);
 
     parse("-1234567890123456789", long_long_p[assign_a(ll)]);
-    assert(ll == -1234567890123456789LL);
+    BOOST_TEST(ll == -1234567890123456789LL);
 
     parse(max_long_long, long_long_p[assign_a(ll)]);
-    assert(ll == LONG_LONG_MAX);
+    BOOST_TEST(ll == LONG_LONG_MAX);
 
     parse(min_long_long, long_long_p[assign_a(ll)]);
-    assert(ll == LONG_LONG_MIN);
+    BOOST_TEST(ll == LONG_LONG_MIN);
 
 #if defined(__GNUG__) && (__GNUG__ == 3) && (__GNUC_MINOR__ < 3) \
     && !defined(__EDG__)
     // gcc 3.2.3 crashes on parse(long_long_overflow, long_long_p)
     // wrapping long_long_p into a rule avoids the crash
     rule<> gcc_3_2_3_long_long_r = long_long_p;
-    assert(!parse(long_long_overflow, gcc_3_2_3_long_long_r).full);
-    assert(!parse(long_long_underflow, gcc_3_2_3_long_long_r).full);
+    BOOST_TEST(!parse(long_long_overflow, gcc_3_2_3_long_long_r).full);
+    BOOST_TEST(!parse(long_long_underflow, gcc_3_2_3_long_long_r).full);
 #else
-    assert(!parse(long_long_overflow, long_long_p).full);
-    assert(!parse(long_long_underflow, long_long_p).full);
+    BOOST_TEST(!parse(long_long_overflow, long_long_p).full);
+    BOOST_TEST(!parse(long_long_underflow, long_long_p).full);
 #endif
 
 #endif
@@ -263,51 +263,50 @@
 
     double  d;
 
-    assert(parse("1234", ureal_p[assign_a(d)]).full && d == 1234);      //  Good.
-    assert(parse("1.2e3", ureal_p[assign_a(d)]).full && d == 1.2e3);    //  Good.
-    assert(parse("1.2e-3", ureal_p[assign_a(d)]).full && d == 1.2e-3);  //  Good.
-    assert(parse("1.e2", ureal_p[assign_a(d)]).full && d == 1.e2);      //  Good.
-    assert(parse(".2e3", ureal_p[assign_a(d)]).full && d == .2e3);      //  Good.
-    assert(parse("2e3", ureal_p[assign_a(d)]).full && d == 2e3);        //  Good. No fraction
-    assert(!parse("e3", ureal_p).full);                                 //  Bad! No number
-    assert(!parse("-1.2e3", ureal_p).full);                             //  Bad! Negative number
-    assert(!parse("+1.2e3", ureal_p).full);                             //  Bad! Positive sign
-    assert(!parse("1.2e", ureal_p).full);                               //  Bad! No exponent
-    assert(!parse("-.3", ureal_p).full);                                //  Bad! Negative
+    BOOST_TEST(parse("1234", ureal_p[assign_a(d)]).full && d == 1234);      //  Good.
+    BOOST_TEST(parse("1.2e3", ureal_p[assign_a(d)]).full && d == 1.2e3);    //  Good.
+    BOOST_TEST(parse("1.2e-3", ureal_p[assign_a(d)]).full && d == 1.2e-3);  //  Good.
+    BOOST_TEST(parse("1.e2", ureal_p[assign_a(d)]).full && d == 1.e2);      //  Good.
+    BOOST_TEST(parse(".2e3", ureal_p[assign_a(d)]).full && d == .2e3);      //  Good.
+    BOOST_TEST(parse("2e3", ureal_p[assign_a(d)]).full && d == 2e3);        //  Good. No fraction
+    BOOST_TEST(!parse("e3", ureal_p).full);                                 //  Bad! No number
+    BOOST_TEST(!parse("-1.2e3", ureal_p).full);                             //  Bad! Negative number
+    BOOST_TEST(!parse("+1.2e3", ureal_p).full);                             //  Bad! Positive sign
+    BOOST_TEST(!parse("1.2e", ureal_p).full);                               //  Bad! No exponent
+    BOOST_TEST(!parse("-.3", ureal_p).full);                                //  Bad! Negative
 
-    assert(parse("-1234", real_p[assign_a(d)]).full && d == -1234);     //  Good.
-    assert(parse("-1.2e3", real_p[assign_a(d)]).full && d == -1.2e3);   //  Good.
-    assert(parse("+1.2e3", real_p[assign_a(d)]).full && d == 1.2e3);    //  Good.
-    assert(parse("-0.1", real_p[assign_a(d)]).full && d == -0.1);       //  Good.
-    assert(parse("-1.2e-3", real_p[assign_a(d)]).full && d == -1.2e-3); //  Good.
-    assert(parse("-1.e2", real_p[assign_a(d)]).full && d == -1.e2);     //  Good.
-    assert(parse("-.2e3", real_p[assign_a(d)]).full && d == -.2e3);     //  Good.
-    assert(parse("-2e3", real_p[assign_a(d)]).full && d == -2e3);       //  Good. No fraction
-    assert(!parse("-e3", real_p).full);                                 //  Bad! No number
-    assert(!parse("-1.2e", real_p).full);                               //  Bad! No exponent
+    BOOST_TEST(parse("-1234", real_p[assign_a(d)]).full && d == -1234);     //  Good.
+    BOOST_TEST(parse("-1.2e3", real_p[assign_a(d)]).full && d == -1.2e3);   //  Good.
+    BOOST_TEST(parse("+1.2e3", real_p[assign_a(d)]).full && d == 1.2e3);    //  Good.
+    BOOST_TEST(parse("-0.1", real_p[assign_a(d)]).full && d == -0.1);       //  Good.
+    BOOST_TEST(parse("-1.2e-3", real_p[assign_a(d)]).full && d == -1.2e-3); //  Good.
+    BOOST_TEST(parse("-1.e2", real_p[assign_a(d)]).full && d == -1.e2);     //  Good.
+    BOOST_TEST(parse("-.2e3", real_p[assign_a(d)]).full && d == -.2e3);     //  Good.
+    BOOST_TEST(parse("-2e3", real_p[assign_a(d)]).full && d == -2e3);       //  Good. No fraction
+    BOOST_TEST(!parse("-e3", real_p).full);                                 //  Bad! No number
+    BOOST_TEST(!parse("-1.2e", real_p).full);                               //  Bad! No exponent
 
-    assert(!parse("1234", strict_ureal_p[assign_a(d)]).full);           //  Bad. Strict real
-    assert(parse("1.2", strict_ureal_p[assign_a(d)]).full && d == 1.2); //  Good.
-    assert(!parse("-1234", strict_real_p[assign_a(d)]).full);           //  Bad. Strict real
-    assert(parse("123.", strict_real_p[assign_a(d)]).full && d == 123); //  Good.
-    assert(parse("3.E6", strict_real_p[assign_a(d)]).full && d == 3e6); //  Good.
+    BOOST_TEST(!parse("1234", strict_ureal_p[assign_a(d)]).full);           //  Bad. Strict real
+    BOOST_TEST(parse("1.2", strict_ureal_p[assign_a(d)]).full && d == 1.2); //  Good.
+    BOOST_TEST(!parse("-1234", strict_real_p[assign_a(d)]).full);           //  Bad. Strict real
+    BOOST_TEST(parse("123.", strict_real_p[assign_a(d)]).full && d == 123); //  Good.
+    BOOST_TEST(parse("3.E6", strict_real_p[assign_a(d)]).full && d == 3e6); //  Good.
 
-    assert(!parse("1234.", notrdot_real_p[assign_a(d)]).full);          //  Bad trailing dot
-    assert(!parse(".1234", nolddot_real_p[assign_a(d)]).full);          //  Bad leading dot
+    BOOST_TEST(!parse("1234.", notrdot_real_p[assign_a(d)]).full);          //  Bad trailing dot
+    BOOST_TEST(!parse(".1234", nolddot_real_p[assign_a(d)]).full);          //  Bad leading dot
 
 //  Special thousands separated numbers
 
-    assert(parse("123,456,789.01", ts_real_p[assign_a(d)]).full && d == 123456789.01);  //  Good.
-    assert(parse("12,345,678.90", ts_real_p[assign_a(d)]).full && d == 12345678.90);    //  Good.
-    assert(parse("1,234,567.89", ts_real_p[assign_a(d)]).full && d == 1234567.89);      //  Good.
-    assert(!parse("1234,567,890", ts_real_p).full);     //  Bad.
-    assert(!parse("1,234,5678,9", ts_real_p).full);     //  Bad.
-    assert(!parse("1,234,567.89e6", ts_real_p).full);   //  Bad.
-    assert(!parse("1,66", ts_real_p).full);             //  Bad.
+    BOOST_TEST(parse("123,456,789.01", ts_real_p[assign_a(d)]).full && d == 123456789.01);  //  Good.
+    BOOST_TEST(parse("12,345,678.90", ts_real_p[assign_a(d)]).full && d == 12345678.90);    //  Good.
+    BOOST_TEST(parse("1,234,567.89", ts_real_p[assign_a(d)]).full && d == 1234567.89);      //  Good.
+    BOOST_TEST(!parse("1234,567,890", ts_real_p).full);     //  Bad.
+    BOOST_TEST(!parse("1,234,5678,9", ts_real_p).full);     //  Bad.
+    BOOST_TEST(!parse("1,234,567.89e6", ts_real_p).full);   //  Bad.
+    BOOST_TEST(!parse("1,66", ts_real_p).full);             //  Bad.
 
 //  END TESTS.
 
 /////////////////////////////////////////////////////////////////
-    cout << "success!\n";
-    return 0;
+    return boost::report_errors();
 }
